<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="ChartDirector" %>
<%@ Register TagPrefix="chart" Namespace="ChartDirector" Assembly="netchartdir" %>

<!DOCTYPE html>

<script runat="server">

'
' Page Load event handler
'
Protected Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)

    '
    ' Data for 4 scatter layers to demonstrate various tooltip styles
    '

    Dim dataX0() As Double = {1, 1, 2, 2}
    Dim dataY0() As Double = {3, 4, 3, 4}

    Dim dataX1() As Double = {3, 3, 4, 4}
    Dim dataY1() As Double = {3, 4, 3, 4}

    Dim dataX2() As Double = {1, 1, 2, 2}
    Dim dataY2() As Double = {1, 2, 1, 2}

    Dim dataX3() As Double = {3, 3, 4, 4}
    Dim dataY3() As Double = {1, 2, 1, 2}

    ' Create a XYChart object of size 550 x 390 pixels
    Dim c As XYChart = New XYChart(550, 390)

    ' Set the plotarea at (30, 40) and size 300 x 300 pixels. Use a gradient color background, light
    ' grey (c0c0c0) border, and light grey horizontal and vertical grid lines.
    c.setPlotArea(30, 40, 300, 300, c.linearGradientColor(0, 30, 0, 330, &Hf9fcff, &Haaccff), -1, _
        &Hc0c0c0, &Hc0c0c0, &Hc0c0c0)

    ' Add a legend box at the right side of the plot area. Use 10pt Arial Bold font and set
    ' background and border colors to Transparent.
    c.addLegend(c.getPlotArea().getRightX() + 20, c.getPlotArea().getTopY(), True, _
        "Arial Bold Italic", 10).setBackground(Chart.Transparent)

    ' Add a title to the chart using 18pt Times Bold Itatic font
    c.addTitle("CDML Tooltip Demonstration", "Times New Roman Bold Italic", 18)

    ' Set the axes line width to 3 pixels, and ensure the auto axis labels are integers.
    c.xAxis().setWidth(3)
    c.yAxis().setWidth(3)
    c.yAxis().setMinTickInc(1)
    c.yAxis().setMinTickInc(1)

    ' Add a scatter chart layer with 19 pixel red (ff3333) sphere symbols. Use default CDML tooltip
    ' style.
    Dim layer0 As ScatterLayer = c.addScatterLayer(dataX0, dataY0, "Default CDML Tooltip", _
        Chart.GlassSphere2Shape, 19, &Hff3333)
    layer0.setHTMLImageMap("", "", "title='<*cdml*>{dataSetName}<*br*>X = {x}, Y = {value}'")

    ' Add a scatter chart layer with 19 pixel green (33ff33) sphere symbols. Cconfigure the CDML
    ' tooltip to use a background background with text of different colors and fonts.
    Dim layer1 As ScatterLayer = c.addScatterLayer(dataX1, dataY1, "Dark Style Tooltip", _
        Chart.GlassSphere2Shape, 19, &H33ff33)
    layer1.setHTMLImageMap("", "", _
        "title='<*cdml style=""background:#000000; padding:5px; border-radius:3px; " & _
        "font-size:8pt""*><*span style=""font:bold italic 100% Arial; color:#FFFF00""*>" & _
        "{dataSetName}<*/span*><*br*><*span style=""font:bold 100% Arial; color:#FFFFFF""*>X = " & _
        "{x}, Y = {value}<*/span*>'")

    ' Add a scatter chart layer with 19 pixels sky blue (66ccff) symbols. Configure the CDML tooltip
    ' to ue a translucent background.
    Dim layer2 As ScatterLayer = c.addScatterLayer(dataX2, dataY2, "Translucent Tooltip", _
        Chart.GlassSphere2Shape, 19, &H66ccff)
    layer2.setHTMLImageMap("", "", _
        "title='<*cdml class=""translucentToolTip""*><*b*><*u*>{dataSetName}<*/u*><*/b*><*br*>" & _
        "X = {x}, Y = {value}'")

    ' Add a scatter chart layer with 19 pixels sky blue (ffff00) symbols. Use standard tooltips
    ' provided by the GUI framework.
    Dim layer3 As ScatterLayer = c.addScatterLayer(dataX3, dataY3, "Classical Tooltip", _
        Chart.GlassSphere2Shape, 19, &Hffff00)
    layer3.setHTMLImageMap("", "", "title='[{dataSetName}] X = {x}, Y = {value}'")

    ' Output the chart
    WebChartViewer1.Image = c.makeWebImage(Chart.SVG)

    ' Include tool tip for the chart
    WebChartViewer1.ImageMap = c.getHTMLImageMap("")

End Sub

</script>

<html>
<head>
    <title>CDML Tooltips</title>
    <script type="text/javascript" src="cdjcv.js"></script>
    <style>
        .translucentToolTip { background:rgba(255,255,0,0.6); padding:5px; border-radius:3px; font:8pt Arial; }
    </style>
</head>
<body style="margin:5px 0px 0px 5px">
    <div style="font:bold 18pt verdana">
        CDML Tooltips
    </div>
    <hr style="border:solid 1px #000080; background:#000080" />
    <div style="font:10pt verdana; margin-bottom:1.5em">
        <a href='viewsource.aspx?file=<%=Request("SCRIPT_NAME")%>'>View Source Code</a>
    </div>
    <chart:WebChartViewer id="WebChartViewer1" runat="server" />
</body>
</html>

