<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="ChartDirector" %>
<%@ Register TagPrefix="chart" Namespace="ChartDirector" Assembly="netchartdir" %>

<!DOCTYPE html>

<script runat="server">

'
' Page Load event handler
'
Protected Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)

    ' Data for the tree map
    Dim data() As Double = {25, 18, 15, 12, 8, 30, 35}

    ' Labels for the tree map
    Dim labels() As String = {"Alpha", "Beta", "Gamma", "Delta", "Epsilon", "Zeta", "Eta"}

    ' Colors for the tree map
    Dim colors() As Integer = {&Hff5555, &Hff9933, &Hffff44, &H66ff66, &H44ccff, &H6699ee, _
        &Hdd99dd}

    ' Create a Tree Map object of size 400 x 400 pixels
    Dim c As TreeMapChart = New TreeMapChart(400, 400)

    ' Set the plotarea at (10, 10) and of size 380 x 380 pixels
    c.setPlotArea(10, 10, 380, 380)

    ' Obtain the root of the tree map, which is the entire plot area
    Dim root As TreeMapNode = c.getRootNode()

    ' Add first level nodes to the root.
    root.setData(data, labels, colors)

    ' Get the prototype (template) for the first level nodes.
    Dim nodeConfig As TreeMapNode = c.getLevelPrototype(1)

    ' Set the label format for the nodes to show the label and value with 8pt Arial Bold font in
    ' black color (000000) and center aligned in the node.
    nodeConfig.setLabelFormat("{label}<*br*>{value}", "Arial Bold", 8, &H000000, Chart.Center)

    ' Set the node fill color to the provided color and the border color to white (ffffff)
    nodeConfig.setColors(-1, &Hffffff)

    ' Output the chart
    WebChartViewer1.Image = c.makeWebImage(Chart.SVG)

    ' Include tool tip for the chart
    WebChartViewer1.ImageMap = c.getHTMLImageMap("", "", "title='<*cdml*>{label}: {value}'")

End Sub

</script>

<html>
<head>
    <title>Simple Tree Map Charts</title>
    <script type="text/javascript" src="cdjcv.js"></script>
</head>
<body style="margin:5px 0px 0px 5px">
    <div style="font:bold 18pt verdana">
        Simple Tree Map Charts
    </div>
    <hr style="border:solid 1px #000080; background:#000080" />
    <div style="font:10pt verdana; margin-bottom:1.5em">
        <a href='viewsource.aspx?file=<%=Request("SCRIPT_NAME")%>'>View Source Code</a>
    </div>
    <chart:WebChartViewer id="WebChartViewer1" runat="server" />
</body>
</html>

