Imports System
Imports Microsoft.VisualBasic
Imports ChartDirector

Public Class cdmltooltip
    Implements DemoModule

    'Name of demo module
    Public Function getName() As String Implements DemoModule.getName
        Return "CDML Tooltips"
    End Function

    'Number of charts produced in this demo module
    Public Function getNoOfCharts() As Integer Implements DemoModule.getNoOfCharts
        Return 1
    End Function

    'Main code for creating chart.
    'Note: the argument chartIndex is unused because this demo only has 1 chart.
    Public Sub createChart(viewer As WinChartViewer, chartIndex As Integer) _
        Implements DemoModule.createChart

        '
        ' Data for 4 scatter layers to demonstrate various tooltip styles
        '

        Dim dataX0() As Double = {1, 1, 2, 2}
        Dim dataY0() As Double = {3, 4, 3, 4}

        Dim dataX1() As Double = {3, 3, 4, 4}
        Dim dataY1() As Double = {3, 4, 3, 4}

        Dim dataX2() As Double = {1, 1, 2, 2}
        Dim dataY2() As Double = {1, 2, 1, 2}

        Dim dataX3() As Double = {3, 3, 4, 4}
        Dim dataY3() As Double = {1, 2, 1, 2}

        ' Create a XYChart object of size 550 x 390 pixels
        Dim c As XYChart = New XYChart(550, 390)

        ' Set the plotarea at (30, 40) and size 300 x 300 pixels. Use a gradient color background,
        ' light grey (c0c0c0) border, and light grey horizontal and vertical grid lines.
        c.setPlotArea(30, 40, 300, 300, c.linearGradientColor(0, 30, 0, 330, &Hf9fcff, &Haaccff), _
            -1, &Hc0c0c0, &Hc0c0c0, &Hc0c0c0)

        ' Add a legend box at the right side of the plot area. Use 10pt Arial Bold font and set
        ' background and border colors to Transparent.
        c.addLegend(c.getPlotArea().getRightX() + 20, c.getPlotArea().getTopY(), True, _
            "Arial Bold Italic", 10).setBackground(Chart.Transparent)

        ' Add a title to the chart using 18pt Times Bold Itatic font
        c.addTitle("CDML Tooltip Demonstration", "Times New Roman Bold Italic", 18)

        ' Set the axes line width to 3 pixels, and ensure the auto axis labels are integers.
        c.xAxis().setWidth(3)
        c.yAxis().setWidth(3)
        c.yAxis().setMinTickInc(1)
        c.yAxis().setMinTickInc(1)

        ' Add a scatter chart layer with 19 pixel red (ff3333) sphere symbols. Use default CDML
        ' tooltip style.
        Dim layer0 As ScatterLayer = c.addScatterLayer(dataX0, dataY0, "Default CDML Tooltip", _
            Chart.GlassSphere2Shape, 19, &Hff3333)
        layer0.setHTMLImageMap("", "", "title='<*cdml*>{dataSetName}<*br*>X = {x}, Y = {value}'")

        ' Add a scatter chart layer with 19 pixel green (33ff33) sphere symbols. Cconfigure the CDML
        ' tooltip to use a background background with text of different colors and fonts.
        Dim layer1 As ScatterLayer = c.addScatterLayer(dataX1, dataY1, "Dark Style Tooltip", _
            Chart.GlassSphere2Shape, 19, &H33ff33)
        layer1.setHTMLImageMap("", "", _
            "title='<*block,bgcolor=000000,margin=5,roundedCorners=3*><*font=Arial Bold " & _
            "Italic,color=FFFF00*>{dataSetName}<*/font*><*br*><*font=Arial Bold,color=FFFFFF*>" & _
            "X = {x}, Y = {value}'")

        ' Add a scatter chart layer with 19 pixels sky blue (66ccff) symbols. Configure the CDML
        ' tooltip to ue a translucent background.
        Dim layer2 As ScatterLayer = c.addScatterLayer(dataX2, dataY2, "Translucent Tooltip", _
            Chart.GlassSphere2Shape, 19, &H66ccff)
        layer2.setHTMLImageMap("", "", _
            "title='<*block,bgcolor=5fffff00,margin=5,roundedCorners=3*><*font=Arial Bold*>" & _
            "<*font,underline=1*>{dataSetName}<*/font*><*br*>X = {x}, Y = {value}'")

        ' Add a scatter chart layer with 19 pixels sky blue (ffff00) symbols. Use standard tooltips
        ' provided by the GUI framework.
        Dim layer3 As ScatterLayer = c.addScatterLayer(dataX3, dataY3, "Classical Tooltip", _
            Chart.GlassSphere2Shape, 19, &Hffff00)
        layer3.setHTMLImageMap("", "", "title='[{dataSetName}] X = {x}, Y = {value}'")

        ' Output the chart
        viewer.Chart = c

        ' Include tool tip for the chart
        viewer.ImageMap = c.getHTMLImageMap("clickable")

    End Sub

End Class

