Imports System
Imports Microsoft.VisualBasic
Imports ChartDirector

Public Class surfaceprojection
    Implements DemoModule

    'Name of demo module
    Public Function getName() As String Implements DemoModule.getName
        Return "Surface Projection"
    End Function

    'Number of charts produced in this demo module
    Public Function getNoOfCharts() As Integer Implements DemoModule.getNoOfCharts
        Return 1
    End Function

    'Main code for creating chart.
    'Note: the argument chartIndex is unused because this demo only has 1 chart.
    Public Sub createChart(viewer As WinChartViewer, chartIndex As Integer) _
        Implements DemoModule.createChart

        ' The x and y coordinates of the grid
        Dim dataX() As Double = {0, 1, 2, 3, 4, 5, 6, 7, 8}
        Dim dataY() As Double = {0, 1, 2, 3, 4, 5, 6, 7, 8}

        ' Use random numbers for the z values on the XY grid
        Dim r As RanSeries = New RanSeries(11)
        Dim dataZ() As Double = r.get2DSeries(UBound(dataX) + 1, UBound(dataY) + 1, 0.1, 1.9)

        ' Create a SurfaceChart object of size 680 x 580 pixels
        Dim c As SurfaceChart = New SurfaceChart(680, 580)

        ' Set the center of the plot region at (310, 280), and set width x depth x height to 320 x
        ' 320 x 240 pixels
        c.setPlotRegion(310, 280, 320, 320, 240)

        ' Set the elevation and rotation angles to 30 and 45 degrees
        c.setViewAngle(30, 45)

        ' Set the data to use to plot the chart
        c.setData(dataX, dataY, dataZ)

        ' Spline interpolate data to a 80 x 80 grid for a smooth surface
        c.setInterpolation(80, 80)

        ' Use semi-transparent black (c0000000) for x and y major surface grid lines. Use dotted
        ' style for x and y minor surface grid lines.
        Dim majorGridColor As Integer = &Hc0000000
        Dim minorGridColor As Integer = c.dashLineColor(majorGridColor, Chart.DotLine)
        c.setSurfaceAxisGrid(majorGridColor, majorGridColor, minorGridColor, minorGridColor)

        ' Add XY projection
        c.addXYProjection()

        ' Set contour lines to semi-transparent white (0x7fffffff)
        c.setContourColor(&H7fffffff)

        ' Add a color axis (the legend) in which the left center is anchored at (620, 250). Set the
        ' length to 200 pixels and the labels on the right side.
        c.setColorAxis(620, 250, Chart.Left, 200, Chart.Right)

        ' Set the x, y and z axis titles using 12 pt Arial Bold font
        c.xAxis().setTitle("X Title<*br*>Placeholder", "Arial Bold", 12)
        c.yAxis().setTitle("Y Title<*br*>Placeholder", "Arial Bold", 12)
        c.zAxis().setTitle("Z Title Placeholder", "Arial Bold", 12)

        ' Output the chart
        viewer.Chart = c

        'include tool tip for the chart
        viewer.ImageMap = c.getHTMLImageMap("clickable", "", _
            "title='<*cdml*>X: {x|2}<*br*>Y: {y|2}<*br*>Z: {z|2}'")

    End Sub

End Class

